// bf2goDlg.h : Header-Datei
//

#if !defined(AFX_BF2GODLG_H__0B8C5645_F34B_4958_89D8_2C18746A7F42__INCLUDED_)
#define AFX_BF2GODLG_H__0B8C5645_F34B_4958_89D8_2C18746A7F42__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CBf2goDlg Dialogfeld

class CBf2goDlg : public CDialog
{
// Konstruktion
public:
	CBf2goDlg(CWnd* pParent = NULL);	// Standard-Konstruktor
	void Update();
	void OnHotKey(WPARAM, LPARAM);			//Wenn ein Hotkey bettigt wird
	void SetGamma(float);					//Setzt die Gamma
	bool SaveConfig();
	bool LoadConfig();
	CString Registry(CString, CString, CString);
	CString i2s(int);
	
		// Dialogfelddaten
	//{{AFX_DATA(CBf2goDlg)
	enum { IDD = IDD_BF2GO_DIALOG };
	CButton	m_check_mod_edit;
	CStatic	m_gammatext;
	CEdit	m_resy_edit;
	CEdit	m_resx_edit;
	CEdit	m_name_edit;
	CComboBox	m_mod_box;
	CEdit	m_port_edit;
	CEdit	m_server_edit;
	BOOL	m_check_server;
	BOOL	m_check_mod;
	CString	m_server_wert;
	CString	m_port_wert;
	CString	m_mod_wert;
	CString	m_exepfad;
	BOOL	m_check_resolution;
	BOOL	m_check_name;
	CString	m_name_wert;
	CString	m_resx_wert;
	CString	m_resy_wert;
	BOOL	m_check_gamma;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CBf2goDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CBf2goDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnCheckServer();
	afx_msg void OnCheckMod();
	afx_msg void OnButtonFind();
	afx_msg void OnCheckResolution();
	afx_msg void OnCheckName();
	afx_msg void OnCheckGamma();
	afx_msg void OnChangePfad();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_BF2GODLG_H__0B8C5645_F34B_4958_89D8_2C18746A7F42__INCLUDED_)
